unit igralec;

interface
type TPoteza = record
	x, y: LongInt;
end;

type TIgralec = class
  public
  procedure zacni_igro(sirina: LongInt; visina:LongInt; stevilo_min: LongInt);
  function naslednja_poteza: TPoteza;
  procedure izid(x: LongInt; y: LongInt; pohodil_mino: boolean; sosednjih_min: LongInt);
  procedure konec_igre(razlog: string);
  class function getIme(): string;

  { spremenljivki za trivialnega igralca }
  public
  w: LongInt;
  korak: LongInt;
end;

implementation
class function TIgralec.getIme: string;
begin
  getIme := 'Bilko';
end;

procedure TIgralec.zacni_igro(sirina: LongInt; visina:LongInt; stevilo_min: LongInt);
begin
  { Tu dodaj svojo implementacijo }
  WriteLn('Igram na ', sirina, 'x', visina, 'polju, na katerem je ', stevilo_min, ' min');
  w := sirina;
  korak := 0;
end;

function TIgralec.naslednja_poteza: TPoteza;
begin
  { Tu dodaj svojo implementacijo }
  naslednja_poteza.y := korak div w;
  naslednja_poteza.x := korak - w * naslednja_poteza.y;
  korak := korak + 1;
end;

procedure TIgralec.izid(x: LongInt; y: LongInt; pohodil_mino: boolean; sosednjih_min: LongInt);
begin
  { Tu dodaj svojo implementacijo }
end;

procedure TIgralec.konec_igre(razlog: string);
begin
  { Tu dodaj svojo implementacijo }
  WriteLn('Konec igre, razlog: ', razlog);
end;

end.
